class CreatePSheetLineStocks < ActiveRecord::Migration[6.0]
  def change
    create_table :p_sheet_line_stocks do |t|
      t.integer :p_sheet_line_id
      t.integer :p_brut_product_id
      t.integer :p_product_brut_stock_id
      
      t.boolean :ok, :default => false
      t.datetime :ok_at
      
      t.decimal :qte, precision: 14, scale: 4
      t.decimal :qte_ok, precision: 14, scale: 4
      t.decimal :price, precision: 14, scale: 4
      t.decimal :price_ok, precision: 14, scale: 4
      
      t.boolean :lock, :default => false

      t.timestamps null: false
    end
  end
end
